# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-okaara
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# -- headers ------------------------------------------------------------------

Name:           python-module-okaara
Version:        1.0.21
Release:        alt1_3
Summary:        Python command line utilities

Group:          Development/Tools
License:        GPLv2
URL:            https://github.com/jdob/okaara
Source0:        http://jdob.fedorapeople.org/okaara-src/%{oldname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-module-nose
BuildRequires:  python-module-setuptools
BuildRequires:  python-devel
Source44: import.info

%description
Python library to facilitate the creation of command-line interfaces.

%prep
%setup -n %{oldname}-%{version} -q

# -- build --------------------------------------------------------------------

%build
pushd src
%{__python} setup.py build
popd

# -- install ------------------------------------------------------------------

%install

# Python setup
pushd src
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
popd
rm -f $RPM_BUILD_ROOT%{python_sitelibdir_noarch}/rhui*egg-info/requires.txt

# -- check --------------------------------------------------------------------

%check
export PYTHONPATH=$RPM_BUILD_ROOT/%{python_sitelibdir_noarch}
pushd test
nosetests
popd

# -- clean --------------------------------------------------------------------

%files
%{python_sitelibdir_noarch}/okaara/
%{python_sitelibdir_noarch}/okaara*.egg-info
%doc LICENSE

# -- changelog ----------------------------------------------------------------

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.21-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.21-alt1_2
- initial fc import

